Documentation Index
Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
Use this file to discover all available pages before exploring further.
Auth service accounts
Generated reference for Auth service accounts endpoints. This generated page groups every public API operation in the Auth service accounts category.Endpoints
- GET /v1/public/accounts/{account_id}/auth/service-accounts - List Service Accounts
- POST /v1/public/accounts/{account_id}/auth/service-accounts - Create Service Account
- POST /v1/public/accounts/{account_id}/auth/service-accounts/{service_account_id}/rotate - Rotate Service Account Token
- DELETE /v1/public/accounts/{account_id}/auth/service-accounts/{service_account_id} - Revoke Service Account
List Service Accounts
GET/v1/public/accounts/{account_id}/auth/service-accounts
List Service Accounts
List service accounts for the account.
Full reference: GET /v1/public/accounts/{account_id}/auth/service-accounts
OpenAPI reference:
/openapi.en.json GET /v1/public/accounts/{account_id}/auth/service-accountsCreate Service Account
POST/v1/public/accounts/{account_id}/auth/service-accounts
Create Service Account
Create a service account and reveal its token once.
Full reference: POST /v1/public/accounts/{account_id}/auth/service-accounts
OpenAPI reference:
/openapi.en.json POST /v1/public/accounts/{account_id}/auth/service-accountsRotate Service Account Token
POST/v1/public/accounts/{account_id}/auth/service-accounts/{service_account_id}/rotate
Rotate Service Account Token
Rotate a service account token and reveal its replacement once.
Full reference: POST /v1/public/accounts/{account_id}/auth/service-accounts/{service_account_id}/rotate
OpenAPI reference:
/openapi.en.json POST /v1/public/accounts/{account_id}/auth/service-accounts/{service_account_id}/rotateRevoke Service Account
DELETE/v1/public/accounts/{account_id}/auth/service-accounts/{service_account_id}
Revoke Service Account
Revoke a service account and its active token.
Full reference: DELETE /v1/public/accounts/{account_id}/auth/service-accounts/{service_account_id}
OpenAPI reference:
/openapi.en.json DELETE /v1/public/accounts/{account_id}/auth/service-accounts/{service_account_id}